<div class="w-[210px] mx-2 mt-5 border border-[#86623e]">
  <ul
    class="border-2 border-[#e0bd63] text-textdescription text-xs bg-[#f2ddb8]"
  >
    <li
      *ngFor="let history of histories; let isLast = last"
      class="p-2 pt-1 cursor-pointer border-b border-[#e0bd63] hover:bg-[#f8ecd6]"
      [class.border-b-0]="isLast"
      (click)="historyClicked(history)"
    >
      <ng-container [ngSwitch]="history.type">
        <ng-container *ngSwitchCase="'war'">
          <div class="text-[10px] mb-px">{{ history.date }}</div>
          <div class="flex">
            <img
              [src]="
                $any(history).options.result === 'win'
                  ? '/assets/images/bwin.webp'
                  : '/assets/images/defeat.webp'
              "
              alt=""
              class="mr-1 mt-[2px] h-4 w-4"
            />
            <div class="underline">
              <span
                *ngIf="$any(history).result === 'win'"
                class="font-bold text-[#3f8b12]"
                >Victory</span
              >
              <span
                *ngIf="$any(history).result == 'lose'"
                class="font-bold text-[#a9200a]"
                >Defeat</span
              >&nbsp;<span>contre</span>&nbsp;<span class="font-bold"
                >L'armée {{ $any(history)?.options?.enemyName }}</span
              >
            </div>
          </div>
        </ng-container>
        <ng-container *ngSwitchCase="'recruit'">
          <div class="text-[10px] mb-px">{{ history.date }}</div>
          <div class="flex">
            <img src="/assets/images/head.webp" alt="" class="mr-1 h-4 w-4" />
            <div class="underline">
              {{ "Armée recrutée : " + $any(history).options.armyName }}
            </div>
          </div>
        </ng-container>
        <ng-container *ngSwitchCase="'trooperAvailable'">
          <div class="flex">
            <img src="/assets/images/head.webp" alt="" class="mr-1 h-4 w-4" />
            <div class="underline">{{ "Nouvelle recrue disponible" }}</div>
          </div>
        </ng-container>
        <ng-container *ngSwitchCase="'creation'">
          <div class="text-[10px] mb-px">{{ history.date }}</div>
          <div class="flex">
            <img src="/assets/images/head.webp" alt="" class="mr-1 h-4 w-4" />
            <div class="underline">{{ "Armée créée" }}</div>
          </div>
        </ng-container>
      </ng-container>
    </li>
  </ul>
</div>
